SHIBD.8(8)

NAME
shibd - Shibboleth daemon

SYNOPSIS
shibd [-tfFvh] [-c config] [-d prefix] [-p pidfile] [-w seconds] [-x catalog]

DESCRIPTION
shibd is the Shibboleth daemon. It handles attribute requests from the Apache Shibboleth module and should run in conjunction with it.

OPTIONS
shibd takes the following command-line options.

-c pathname
    Specifies the pathname of shibd's configuration file. Defaults to /etc/shibboleth/shibboleth2.xml or the value of the SHIBSP_CONFIG environment variable, if it is set.

-d pathname
    Installation prefix. Defaults to /usr.

-F  Stay in the foreground. Normally, shibd backgrounds itself after starting up.

-f  Force removal of listener socket.

-h  Prints out a brief summary of the shibboleth options.

-p pathname
    Specifies the pathname to use to write out the shibboleth PID file.

-w seconds
    Seconds to wait for the background shibd to start up before the foreground process returns. If not set, the default value is three seconds.

-t  Validates the general correctness of the configuration. Not all problems can be detected this way, but the chance of successful startup is high if the checking process does not log any errors.

-v  Prints out the version string.

-x pathname
    Specifies the XML schema catalog to use. Defaults to /usr/share/xml/shibboleth/catalog.xml.

AUTHORS
shibd is part of the Internet 2 Shibboleth project written by Scott Cantor <cantor.2@osu.edu>.

COPYRIGHT AND LICENSE
Copyright 2005, 2006 Internet2/MACE

This program is free software; you may redistribute it and/or modify it under the terms of the Apache 2.0 License <http://www.apache.org/licenses>.